Summary: Disk subsystem I/O measuring tool
Name: xdd
Version: 65.013007
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://www.ioperformance.com/products.htm
Source: %{name}%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


%description
Xdd is a tool for measuring and characterizing disk subsystem I/O
on single systems and clusters of systems. It is a command-line
based tool that grew out of the UNIX world and has been ported
to run in Window environments as well. It is designed to provide
consistent and reproducible performance measurements of
disk I/O traffic. There are three basic components to xdd
that include the xdd program itself, a timeserver program,
and a gettime program. The timeserver and gettime programs are
used to synchronize the clocks of xdd programs simultaneously
running across multiple computer systems.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 
of the License, or (at your option) any later version.

Xdd can run on a relatively minimally configured system but it is
recommended that adequate main memory capacity and processor speed be
available when using some of the more advanced features of xdd.
The xdd program itself is not CPU intensive but the faster
the processor and the less loaded a system is, the more accurate and 
consistent the results will be. As a rule, a minimum of 128MB of 
main memory is recommended. All other system parameters are 
left to the discretion of the user.


%prep
%setup -q -n %{name}%{version}
rm -rf $RPM_BUILD_ROOT


%build

make -f linux.makefile


%install

mkdir -p ${RPM_BUILD_ROOT}/sbin
cd bin
install gettime.linux ${RPM_BUILD_ROOT}/sbin/gettime
install timeserver.linux ${RPM_BUILD_ROOT}/sbin/timeserver
install xdd.linux ${RPM_BUILD_ROOT}/sbin/xdd


%clean

rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/sbin/*


%changelog
* Tue Aug 2 2007 Pavel Skrylev  <3aHyga@mail.ru>
- Initial build

